ALTER TYPE()

NAME
ALTER TYPE - change the definition of a type

SYNOPSIS

ALTER TYPE name OWNER TO new_owner

DESCRIPTION

ALTER TYPE changes the definition of an existing type. The only currently available capability is changing the owner of a type.

PARAMETERS

name
    The name (possibly schema-qualified) of an existing type to alter.

new_owner
    The user name of the new owner of the type. You must be a superuser to change a type's owner.

EXAMPLES

To change the owner of the user-defined type email to joe:

ALTER TYPE email OWNER TO joe;

COMPATIBILITY

There is no ALTER TYPE statement in the SQL standard.